## nitro-settings-public 1.10

=== debian/changelog ===
nitro-settings-public (1.10) unstable; urgency=low

  * Bump version to ensure that the new packages providing the nitro-
    settings virtual package are preferred over the non-virtual old
    nitro-settings package.

 -- Eero Tamminen <eero.tamminen@nokia.com>  Thu,  2 Oct 2008 09:39:40 +0300

nitro-settings-public (1.2) unstable; urgency=low

  * Fixed a dependency issue that prevented upgrading from Nitro <= 1.23
    to a newer version when using Application manager.

 -- Eero Tamminen <eero.tamminen@nokia.com>  Wed,  1 Oct 2008 13:46:19 +0300

nitro-settings-public (1.1) unstable; urgency=low

  * Dependency changes to make uninstallation of Nitro via Application
    manager less tricky.

 -- Eero Tamminen <eero.tamminen@nokia.com>  Wed, 24 Sep 2008 10:03:28 +0300

nitro-settings-public (1.0) unstable; urgency=low

  * Initial release of the public Nitro settings package. Fixes:
    NB#85579

 -- Eero Tamminen <eero.tamminen@nokia.com>  Thu,  4 Sep 2008 10:54:13 +0300
