=== debian/control ===
Source: nitro-settings-public
Section: non-free/misc
Priority: optional
Maintainer: Eero Tamminen <eero.tamminen@nokia.com>
Build-Depends: debhelper (>= 4.0.0), osso-core-config, pkg-config, osso-af-settings
Standards-Version: 3.7.2

Package: nitro-settings-public
Architecture: any
Provides: nitro-settings
Conflicts: nitro-settings, nitro (<= 1.23)
Replaces: nitro-settings, nitro (<= 1.23)
Depends: ${shlibs:Depends}, ${misc:Depends}, hildon-application-manager
Description: Crash Reporter public settings configuration files
 These configuration files provide Crash Reporter server and privacy settings
 suitable for public use.
